package jalview.datamodel;

import jalview.util.MapList;

/**
 * An interface to model one or more contiguous regions on one chromosome
 */
public interface GeneLociI
{
  /**
   * Answers the species identifier
   * 
   * @return
   */
  String getSpeciesId();

  /**
   * Answers the reference assembly identifier
   * 
   * @return
   */
  String getAssemblyId();

  /**
   * Answers the chromosome identifier e.g. "2", "Y", "II"
   * 
   * @return
   */
  String getChromosomeId();

  /**
   * Answers the mapping from sequence to chromosome loci. For a reverse strand
   * mapping, the chromosomal ranges will have start > end.
   * 
   * @return
   */
  MapList getMap();
}
